require_relative './test_helper'

class TestObject < Minitest::Test
  def setup
    @string = 'ruby'
    @integer = 1
  end

  def test_construct_list?
    refute @string.construct_list?
    refute @integer.construct_list?
  end

  def test_to_array
    assert_equal @string, @string.to_array
    assert_equal @integer, @integer.to_array
  end

  def test_to_construct
    assert_equal @string, @string.to_construct
    assert_equal @integer, @integer.to_construct
  end

  def test_lisp_eval
    assert_equal @string, @string.lisp_eval(nil, nil)
    assert_equal @integer, @integer.lisp_eval(nil, nil)
  end
end
