require_relative './test_helper'

class TestSymbol < Minitest::Test
  def test_construct_list?
    assert :nil.construct_list?
    refute :language.construct_list?
  end

  def test_to_array
    assert_equal [], :nil.to_array
    assert_equal :language, :language.to_array
  end

  def test_lisp_eval
    environment = Environment.new
    environment.define(:language, 'ruby')
    environment.define(:number, 1)

    assert_equal 'ruby', :language.lisp_eval(environment, nil)
    assert_equal 1, :number.lisp_eval(environment, nil)
  end
end
